petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDataType

Used for handling different basic data types.

### Synopsis

    typedef enum {PETSC_INT = 0,PETSC_DOUBLE = 1,PETSC_COMPLEX = 2, PETSC_LONG = 3 ,PETSC_SHORT = 4,PETSC_FLOAT = 5,
                  PETSC_CHAR = 6,PETSC_BIT_LOGICAL = 7,PETSC_ENUM = 8,PETSC_BOOL=9, PETSC___FLOAT128 = 10,PETSC_OBJECT = 11, PETSC_FUNCTION = 12, PETSC_STRING = 12} PetscDataType;

Many br

Developer comment: It would be nice if we could always just use MPI Datatypes, why can we not? Many br

### See Also

PetscBinaryRead(), PetscBinaryWrite(), PetscDataTypeToMPIDataType(),
PetscDataTypeGetSize() Many br

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages